Package com.databricks.jdbc.commons.util

## Class DecompressionUtil

- java.lang.Object
- - com.databricks.jdbc.commons.util.DecompressionUtil

    public class DecompressionUtil
    extends Object

### Constructor Summary

Constructors
`DecompressionUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static InputStream` `decompress​(InputStream compressedInputStream, CompressionType compressionType, String context)`
`static InputStream` `decompressLZ4Frame​(InputStream compressedInputStream, String context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DecompressionUtil

    public DecompressionUtil()

### Method Detail

#### decompressLZ4Frame

    public static InputStream decompressLZ4Frame​(InputStream compressedInputStream,
                                                 String context)
                                          throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### decompress

    public static InputStream decompress​(InputStream compressedInputStream,
                                         CompressionType compressionType,
                                         String context)
                                  throws DatabricksSQLException

Throws:
  `DatabricksSQLException`